Bug 1011240 - SELinux is preventing /usr/bin/gtk-gnash from using the transition access on a process
SELinux is preventing /usr/bin/gtk-gnash from using the transition access on ...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-09-23 17:00 EDT by collura
Modified: 2013-09-29 20:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-29 20:35:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description collura 2013-09-23 17:00:32 EDT
Description of problem:

selinux gave the following warning:

SELinux is preventing /usr/bin/gtk-gnash from using the transition access on a process.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that gtk-gnash should be allowed transition access on processes labeled mozilla_plugin_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep gtk-gnash /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
Target Context                unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1
Target Objects                /usr/bin/pulseaudio [ process ]
Source                        gtk-gnash
Source Path                   /usr/bin/gtk-gnash
Port                          <Unknown>
Host                          <removed>.<removed>
Source RPM Packages           gnash-0.8.10-8.fc19.x86_64
Target RPM Packages           pulseaudio-3.0-10.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-74.4.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     <removed>.<removed>
Platform                      Linux <removed>.<removed> 3.11.1-200.fc19.x86_64
                              #1 SMP Sat Sep 14 15:04:51 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-09-23 15:03:37 EDT
Last Seen                     2013-09-23 15:03:37 EDT
Local ID                      7a91edec-1ef3-43e5-b2ea-508de0a76ec8

Raw Audit Messages
type=AVC msg=audit(1379963017.662:550): avc:  denied  { transition } for  pid=7987 comm="gtk-gnash" path="/usr/bin/pulseaudio" dev="dm-0" ino=2365331 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=process

type=SYSCALL msg=audit(1379963017.662:550): arch=x86_64 syscall=execve success=no exit=EACCES a0=fc4680 a1=7fffd8b0d550 a2=7fffd8b10430 a3=0 items=0 ppid=7973 pid=7987 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=gtk-gnash exe=/usr/bin/gtk-gnash subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: gtk-gnash,mozilla_plugin_t,mozilla_plugin_t,process,transition

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. go to webpage

Actual results:


Expected results:

 no warning?

Additional info:

warning caused by website 
  'www. geniniscientific . com/products .html' 

Comment 1 Daniel Walsh 2013-09-24 10:56:20 EDT
510135e2a49d5d822107a082cfe27d97e4e7cc36 fixes this in git.
Comment 2 Lukas Vrabec 2013-09-24 11:30:17 EDT
back ported to f19.
Comment 3 Fedora Update System 2013-09-26 05:42:47 EDT
selinux-policy-3.12.1-74.8.fc19 has been submitted as an update for Fedora 19.
Comment 4 Fedora Update System 2013-09-26 20:47:46 EDT
Package selinux-policy-3.12.1-74.8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.8.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-29 20:35:14 EDT
selinux-policy-3.12.1-74.8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.